The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get IP Settings Configuration at Sensor Level

Prev Next

This URL gets IP settings configuration at Sensor level.

Resource URL

GET /sensor/<sensor_id>/ipsettings

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
sensor_id Sensor id Number Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
IPSettings Object that contains the details of the fields Object

Details of fields in IPSettings:

Field Name Description Data Type
ipv4Parameter The IPv4 parameter settings for IP settings Object
ipv6Parameter The IPv6 parameter settings for IP settings Object
jumboFrameParsing The jumbo frame parsing settings for IP settings. The value can be:
  • ENABLED
  • DISABLED
String

Details of fields in ipv4Parameter:

Field Name Description Data Type
fragmentTimer The fragment timer (seconds) Number
overlapOption The overlap option. The value can be:
  • OLD_DATA
  • NEW_DATA
String
smallestFragmentSize The smallest fragment size Number
smallFragmentThreshold The small fragment threshold Number
fragmentReassembly The fragment reassembly. The value can be:
  • ENABLED
  • DISABLED
String

Details of fields in ipv6Parameter:

Field Name Description Data Type
ipv6Scanning The IPv6 scanning data. The value can be:
  • SCAN_IPV_6_TRAFFIC_FOR_ATTACKS
  • DROP_ALL_IPV_6_TARFFIC_INLINE_ONLY
  • PASS_IPV_6_TRAFFIC_WITHOUT_SCANNING
String
overlapOption The overlap option. The value can be:
  • OLD_DATA
  • NEW_DATA
  • DROP
String
smallestFragmentSize The smallest fragment size Number
smallFragmentThreshold The small fragment threshold Number

Example

Request

GET https://<NSM_IP>/sdkapi/sensor/1002/ipsettings

Response

 {
	"ipv4Parameter": {
		"fragmentTimer": 180,
		"overlapOption": "OLD_DATA",
		"smallestFragmentSize": 1480,
		"smallFragmentThreshold": 100000,
		"fragmentReassembly": "DISABLED"
	},
	"ipv6Parameter": {
		"ipv6Scanning": "SCAN_IPV_6_TRAFFIC_FOR_ATTACKS",
		"overlapOption": "OLD_DATA",
		"smallestFragmentSize": 1280,
		"smallFragmentThreshold": 100000
	},
	"jumboFrameParsing": null
} 
 

Error Information

Following error code is returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1106 Invalid Sensor